<app-bread-crumb [items]="[{text: 'Obras'}]">

</app-bread-crumb>

<app-page-header
  page-title="Obra"
  button-text="+ Nova Obra"
  button-link="new"
  button-class="btn-success"
></app-page-header>

<table class="table table-hover">
  <thead>
    <tr class="bg-primary text-light">
      <th>Código</th>
      <th>Descrição</th>
       <th>operação</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let obra of resources">
      <td>
        {{obra.id}}
      </td>
      <td>
         {{obra.descricao}}
      </td>
      <td>
        <a [routerLink]="[obra.id, 'edit']" class="btn btn-outline-info btn-sm mr-2">Editar</a>
        <button (click)="deleteResource(obra)" class="btn btn-outline-danger btn-sm">Excluir</button>
      </td>
    </tr>
  </tbody>
</table>
